Skip to documentation
Workflow Developer API

Publish Developer Workflow

Audit and publish the current draft as an immutable active version.

POST/developer/v1/workflows/{definition_id}/publish

Authorizations

Authorization
stringheaderrequired

Send your GenHealth credential as Bearer <YOUR_API_KEY>. This endpoint requires workflow:publish for the authenticated organization.

Headers

Accept
stringheader

Response media type. Use application/json for the current API.

Parameters

definition_idrequired
stringpath

Request body

Send an application/json request body.

WorkflowPublishRequest
descriptionstring | null

Responses

200Successful Response
WorkflowPublishResponse
idstring
version_idstring
version_numberinteger
statusstring
422Validation Error
HTTPValidationError
detailarray<ValidationError>